function zambClear() {
	if (isObject(NodeGroup)) {
		NodeGroup.chainDeleteAll();
	}

	if (isObject(BrickGroup_888888)) {
		BrickGroup_888888.chainDeleteAll();
	}
}

function zambLoadBricks(%name) {
	serverDirectSaveFileLoad("saves/" @ %name @ ".bls", 3, "", 2);
}

function zambLoadNodes(%name) {
	loadNodes("saves/" @ %name @ ".nav");

	if (isObject(NodeGroup)) {
		%count = NodeGroup.getCount();

		for (%i = 0; %i < %count; %i++) {
			%node = NodeGroup.getObject(%i);
			%node.nearNodes = 0;

			for (%j = 0; %j < %count; %j++) {
				if (%j == %i) {
					continue;
				}

				%test = NodeGroup.getObject(%j);

				if (vectorDist(%node.position, %test.position) <= $WANDERER_PLACE_RADIUS) {
					%node.nearNodes++;
				}
			}
		}
	}
}
